> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Allocation

> ## Update an Allocation ##

<p>
Updates an existing Allocation. All fields are optional: you only pass in the fields that you want to change. Note that you
cannot remove existing ProductPrices from an Allocation, although you can add new ones. A ProductPrice can only belong to
one Allocation at a time, so adding it to one Allocation will have the effect of removing it from any previous Allocation
that it belonged to.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json put /{supplierapi}/product/{productId}/allocation/{productAllocationId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/allocation/{productAllocationId}:
    put:
      tags:
        - Version 1
        - Booking Details
      summary: Update an Allocation
      description: >-
        ## Update an Allocation ##


        <p>

        Updates an existing Allocation. All fields are optional: you only pass
        in the fields that you want to change. Note that you

        cannot remove existing ProductPrices from an Allocation, although you
        can add new ones. A ProductPrice can only belong to

        one Allocation at a time, so adding it to one Allocation will have the
        effect of removing it from any previous Allocation

        that it belonged to.

        </p>
      operationId: updateAvailabilityAllocationAction
      parameters:
        - name: productId
          in: path
          description: The ID of the Product
          required: true
          schema:
            type: integer
        - name: productAllocationId
          in: path
          description: The ID of the Product Allocation
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      requestBody:
        description: Allocation details to update
        required: true
        content:
          application/json:
            schema:
              required:
                - startDate
              properties:
                allocationName:
                  description: Name of the Allocation.
                  type: string
                defaultQuantity:
                  description: Default quantity for this Allocation.
                  type: integer
                startDate:
                  description: Start date of this Allocation.
                  type: string
                  format: date
                endDate:
                  description: End date of this Allocation.
                  type: string
                  format: date
                blockoutDays:
                  description: Days of the week when the product is not available.
                  type: string
                bookingDetailId:
                  description: ID for the BookingDetail Object for this allocation.
                  type: integer
                bookingBuffer:
                  description: Number of days before booking date to disable reservations.
                  type: integer
                newProductPricesDetailsIds:
                  description: IDs for the ProductPricesDetails to add to this Allocation.
                  type: string
              type: object
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when Product or Allocation is not found.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.